<?php

include('../../../wp-load.php');

global $wpdb;

if ( !isset($_GET['import_id']) || ( isset($_GET['import_id']) && empty($_GET['import_id']) ) )
{
	die("No import ID passed");
}

if ( !isset($_GET['file']) || ( isset($_GET['file']) && empty($_GET['file']) ) )
{
	die("No file passed");
}

$import_settings = realhomes_property_feed_get_import_settings_from_id( (int)$_GET['import_id'] );

if ( $import_settings === false )
{
	die("Import passed doesn't exist");
}

switch ( $import_settings['format'] )
{
	case "blm_local":
	case "openimmo_local":
	case "reaxml_local":
	case "rentman":
	{
		$file_name = base64_decode(sanitize_text_field(wp_unslash($_GET['file'])));

		// Prevent directory traversal
		$file_name = basename($file_name);

		// Construct the absolute file path
		$allowed_dir = realpath($import_settings['local_directory']);
		$file_path = realpath($allowed_dir . '/' . $file_name);

		// Ensure the file is within the allowed directory
		if ( strpos($file_path, $allowed_dir) !== 0 || !file_exists($file_path) ) 
		{
		    die("Invalid file path.");
		}

		global $wp_filesystem;

		// Initialize WP_Filesystem
		if ( !function_exists( 'WP_Filesystem' ) ) 
		{
		    require_once ABSPATH . 'wp-admin/includes/file.php';
		}
		WP_Filesystem();

		if ( $wp_filesystem->exists($file_path) ) 
		{
			header('Content-Disposition: attachment; filename="' . basename($file_name) . '"');
			
			$file_size = $wp_filesystem->size($file_path);
		    if ( $file_size !== false ) 
		    {
		        header('Content-Length: ' . $file_size);
		    }

			$handle = $wp_filesystem->get_contents( $file_path );
		    if ( $handle !== false ) 
		    {
		        echo $handle; // Output file content
		        exit; // Stop further execution
		    }
		    else 
		    {
		        wp_die( esc_html__( 'Error reading the file.', 'realhomes-property-feed' ) );
		    }
    	}
		else 
		{
		    wp_die( esc_html__( 'File not found.', 'realhomes-property-feed' ) );
		}
	}
	default:
	{
		die('Unknown format: ' . esc_html($import_settings['format']));
	}
}