<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// https://www.php.net/manual/en/function.array-multisort.php#91638 (since modified to not use eval())
function realhomes_property_feed_array_msort($array, $cols) 
{
    if (empty($array) || !is_array($array) || empty($cols)) 
    {
        return $array;
    }

    $sortParams = [];
    foreach ($cols as $col => $order) 
    {
        $colValues = array_column($array, $col);
        $sortParams[] = array_map('strtolower', $colValues); // Convert to lowercase for case-insensitive sorting
        $sortParams[] = ($order === SORT_DESC) ? SORT_DESC : SORT_ASC;
    }

    // Append the original array for stable sorting
    $sortParams[] = &$array;

    // Call array_multisort with dynamic arguments
    call_user_func_array('array_multisort', $sortParams);

    return $array;
}

function realhomes_property_feed_check_array_for_matching_key( $array, $looking_for ) 
{
    if ( is_array($array) && !empty($array) )
    {
        foreach ( $array as $key => $value ) 
        {
            if ( !is_numeric($key) && $key == $looking_for )
            {
                return $value;
            }

            if ( is_array($value) && !empty($value) ) 
            {
                $value_to_check = realhomes_property_feed_check_array_for_matching_key( $value, $looking_for );
                if ( $value_to_check !== false )
                {
                    return $value_to_check;
                }
            }
        }
    }

    return false;
}

function rhpf_clean( $var ) 
{
    if ( is_array( $var ) ) 
    {
        return array_map( 'rhpf_clean', $var );
    }
    else
    {
        return is_scalar( $var ) ? sanitize_text_field( $var ) : $var;
    }
}