<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>

<div class="rhpf-admin-settings-body wrap">

	<div class="rhpf-admin-settings-automatic-imports">

		<?php include( dirname(REALHOMES_PROPERTY_FEED_PLUGIN_FILE) . '/includes/views/admin-settings-notice.php' ); ?>

		<h1><?php echo esc_html(__( 'Automatic Exports', 'realhomes-property-feed' )); ?></h1>

		<?php
			if ( $automatic_exports_table->has_items() )
			{
				echo '<div class="automatic-exports-table">';
					echo $automatic_exports_table->display();
				echo '</div>';

				if ( $run_now_button )
				{
					echo '<a href="' . esc_html(admin_url('admin.php?page=realhomes-property-feed-export&custom_property_export_cron=realhomespropertyfeedcronhook')) . '" class="button">Manually Execute Export</a>';
				}
			}
			else
			{
		?>

		<div class="no-imports-exports">

			<h2><?php echo esc_html(__( 'Your automatic exports will appear here', 'realhomes-property-feed' )); ?></h2>

			<p>You don't have any exports running at the moment. Why not go ahead and try creating one now?</p>

			<p><a href="<?php echo esc_url(admin_url('admin.php?page=realhomes-property-feed-export&action=addexport')); ?>" class="button button-primary button-hero"><span class="dashicons dashicons-plus-alt2"></span> <?php echo esc_html(__( 'Create New Export', 'realhomes-property-feed' )); ?></a></p>

			<p><strong>Need help?</strong> Our <a href="https://realhomespropertyfeed.com/documentation/" target="_blank">in-depth documentation</a> will guide you through the process.</p>

		</div>

		<?php
			}
		?>

	</div>

</div>