<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>

<form method="POST" action="">

	<input type="hidden" name="save_license_key" value="yes">
	<?php wp_nonce_field( 'save-license-key' ); ?>

	<div class="rhpf-admin-settings-body wrap">

		<div class="rhpf-admin-settings-license">

			<?php include( dirname(REALHOMES_PROPERTY_FEED_PLUGIN_FILE) . '/includes/views/admin-settings-notice.php' ); ?>

			<h1><?php echo esc_html(__( 'License Information', 'realhomes-property-feed' )); ?></h1>

			<div class="rhpf-meta-box">

				<?php
					$button = __( 'Activate License Key', 'realhomes-property-feed' );
					$hidden_field = 'activate';
					if ( isset($license_key_status['success']) && $license_key_status['success'] === true )
					{
						echo '<div class="notice notice-success inline"><p>' . esc_html(__( 'License key active', 'realhomes-property-feed' )) . '</p></div>';
						$button = __( 'Dectivate License Key', 'realhomes-property-feed' );
						$hidden_field = 'deactivate';
					}
					else
					{
						if ( isset($license_key_status['success']) && $license_key_status['success'] !== true )
						{
							echo '<div class="notice notice-error inline"><p>' . esc_html($license_key_status['error']) . '</p></div>';
						}
					}
					echo '<input type="hidden" name="license_key_action" value="' . esc_attr($hidden_field) . '">';
					echo '<input type="hidden" name="current_license_key" value="' . ( isset($options['license_key']) ? esc_attr($options['license_key']) : '' ) . '">';
				?>

				<p>Enter your license key to unlock updates and benefit from additional functionality.</p>

				<table class="form-table">
					<tbody>
						<tr>
							<th><label for="license_key"><?php echo esc_html(__( 'License Key', 'realhomes-property-feed' )); ?></label></th>
							<td>
								<input type="text" name="license_key" id="license_key" value="<?php echo ( isset($options['license_key']) ? esc_attr($options['license_key']) : '' ); ?>"> 
								<p style="font-size:0.8em; margin-top:6px; color:#666">Your license key can be found and your subscription managed in the '<a href="https://realhomespropertyfeed.com/my-account" target="_blank">My Account</a>' section of the RealHomes Property Feed website.</p>
							</td>
						</tr>
					</tbody>
				</table>

				<input type="submit" value="<?php echo esc_attr($button); ?>" class="button button-primary button-hero">

			</div>

		</div>

	</div>

</form>